Overview
DELETE
/communities/{id}/members/{customerId}communityRevoke a membership (community admin only; the owner cannot be removed)
Delete a record from members by id, customerId.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
- customerIdpathstring
Responses
204
Membership revoked
No response body.
401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}409
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X DELETE "https://api.agenticdeveloperhub.com/communities/{id}/members/{customerId}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/communities/{id}/members/{customerId}", {
method: "DELETE",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();